- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: Errbit
- name: Sets Errbit CR Facts
  set_fact:
    errbit_name: "{{ ('errbit-' ~ found_cr.resources[0].metadata.name)
                       if (found_cr is defined
                           and found_cr.resources is defined
                           and found_cr.resources | length > 0)
                       else False }}"
    errbit_namespace: "{{ found_cr.resources[0].metadata.namespace
                            if (found_cr is defined
                                and found_cr.resources is defined
                                and found_cr.resources | length > 0)
                            else False }}"
- name: Sets Errbit Instance Facts
  set_fact:
    airbrake_host: "{{ found_cr.resources[0].status.public }}"
    errbit_api_address: "{{ found_cr.resources[0].status.internal }}"
    errbit_api_public: "{{ found_cr.resources[0].status.public }}"
    errbit_crd: "{{ found_cr }}"
    errbit_tls_provider: "{{ found_cr.resources[0].spec.tls_provider | default('internalca') }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
